gloox::LinkLocal Namespace Reference

## Classes

struct | Service
class | Client
class | Handler
class | Manager

## Typedefs

typedef std::list< Service > | ServiceList

## Enumerations

enum | Flag { AddService , RemoveService }

## Detailed Description

Namespace holding all the Link-local-related structures and definitions.

See Manager for more information on how to implement link-local messaging.

## Typedef Documentation

## ServiceList

typedef std::list<Service> ServiceList

A list of services.

Definition at line 71 of file linklocal.h.

## Enumeration Type Documentation

## Flag

enum Flag

Used in conjunction with Service to indicate whether a service has been added (newly advertised) or removed.

Enumerator
AddService | A service has been added.
RemoveService | A service has been removed.

Definition at line 40 of file linklocal.h.